static const char *RcsId = "$Id: ClassFactory.cpp,v 1.2 2012-05-15 10:06:44 xavela Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible for the creation of
//               all class singleton for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: xavela $
//
// $Revision: 1.2 $
// $Date: 2012-05-15 10:06:44 $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source: /users/chaize/newsvn/cvsroot/Instrumentation/KChannelSwitch/src/ClassFactory.cpp,v $
// $Log: not supported by cvs2svn $
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <KChannelSwitchClass.h>

/**
 *	Create KChannelSwitchClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(KChannelSwitch_ns::KChannelSwitchClass::init("KChannelSwitch"));

}
